be.ehealth.businessconnector.hubv3.service

## Class ServiceFactory

- java.lang.Object
- - be.ehealth.businessconnector.hubv3.service.ServiceFactory

-     public final class ServiceFactory
      extends Object

  A factory for `HubTokenService`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INTRAHUB_PROTOCOL`
    `static String` | `PROP_ENDPOINT_INTRAHUB`
    `static String` | `PROP_HUBAPPID`
    `static String` | `PROP_HUBID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericRequest` | `getIntraHubPort(SAMLToken token, String soapAction)` Creates a `GenericRequest` for the given SAML token and soap action
    `static HubTokenService` | `getIntraHubService()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTRAHUB_PROTOCOL

          public static final String INTRAHUB_PROTOCOL

      See Also:
        Constant Field Values

    - #### PROP_HUBID

          public static final String PROP_HUBID

      See Also:
        Constant Field Values

    - #### PROP_HUBAPPID

          public static final String PROP_HUBAPPID

      See Also:
        Constant Field Values

    - #### PROP_ENDPOINT_INTRAHUB

          public static final String PROP_ENDPOINT_INTRAHUB

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getIntraHubPort

          public static GenericRequest getIntraHubPort(SAMLToken token,
                                                       String soapAction)
                                                throws TechnicalConnectorException

      Creates a `GenericRequest` for the given SAML token and soap action
      Parameters:
        `token` - the token
      Returns:
        the generic request
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getIntraHubService

          public static HubTokenService getIntraHubService()

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.